
<!DOCTYPE style-sheet  
  PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN"> 
<style-sheet> 
<style-specification 
 id = "tangle"> 
<style-specification-body>

 (declare-flow-object-class entity 
   "UNREGISTERED::James Clark//Flow Object Class::entity") 
 (declare-flow-object-class formatting-instruction 
   "UNREGISTERED::James Clark//Flow Object Class::formatting-instruction")

 (default (process-node-list (element-children)))

 (element programlisting
  (make sequence 
   (if (attribute-string "file") 
     (make entity 
       system-id: (attribute-string "file") 
       (make sequence 
         (process-children) 
         (if (attribute-string "continuedin")
           (with-mode continuation
             (process-element-with-id 
               (attribute-string "continuedin")))
           (empty-sosofo))))
      (empty-sosofo))))
  
 (element (programlisting xref)
   (with-mode definition
     (process-element-with-id 
       (attribute-string "linkend"))))

 (mode definition
   (element programlisting
     (make sequence
       (process-children)
       (if (attribute-string "continuedin")
           (with-mode continuation
             (process-element-with-id 
               (attribute-string "continuedin")))
           (empty-sosofo)))))
  
 (mode continuation
   (element programlisting
     (make sequence
       (process-children)
       (if (attribute-string "continuedin")
           (with-mode continuation
             (process-element-with-id 
               (attribute-string "continuedin")))
           (empty-sosofo)))))
     
 (element literalchar 
  (make sequence 
   (make formatting-instruction 
     data: (attribute-string "data")))) 

 
  (define (element-children #!optional (snl (current-node)))
    (select-by-class (children snl)
                     'element))
 

</style-specification-body>
</style-specification> 
</style-sheet> 
